# Generated from glennr-ey-scp-0.3.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name glennr-ey-scp

Name: rubygem-%{gem_name}
Version: 0.3.2
Release: 1%{?dist}
Summary: # ey-scp  Provides a CLI to quickly and painlessly deploy configuration files to multiple instances on EngineYard  ## Installation  1. Run  $ gem install glennr-ey-scp  Or with bundler  gem 'glennr-ey-scp'  2. Make sure that you [have your public key registered with EY](https//support.cloud.engineyard.com/entries/21016528-Add-an-SSH-Key).  ## Usage  1. Run  ey login  from your project directory.  2. Use ```ey-scp``` from any directory with the following syntax:  ey-scp -e ENVIRONMENT [OPTIONS] LOCAL_SOURCE_FILE REMOTE_DESTINATION  e.g.  ey-scp -e production --app-servers ~/local/project/config/foo.yml /remote/project/path/config  ### Specifying target instances  Option | Uploads to instances with roles of ------ | ---------------------------------- --app-servers | solo, app_master, app --app-master | solo, app_master --db-servers | solo, db_master, db_slave --db-master | solo, db_master --db-slaves | solo, db_slave --util-servers | solo, util  ## Contributing  Right now, we could really use someone to refactor the code so that it's less scripty/hackish.  1. Fork it 2. Create your feature branch (`git checkout -b my-new-feature`) 3. Commit your changes (`git commit -am 'Add some feature'`) 4. Push to the branch (`git push origin my-new-feature`) 5. Create new Pull Request
License: MIT
URL: http://github.com/groove/ey-scp
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Quickly copy files (e.g. YMLs or configuration files) to multiple EngineYard
servers.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/ey-scp
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/ey-scp.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.3.2-1
- Initial package
